aws-0.16: Amazon Web Services (AWS) for Haskell

Safe Haskell | None
Language | Haskell2010

Aws.Sqs.Core

# Documentation

type ErrorCode = Text #

data SqsError #

Constructors

SqsError |
Fields sqsStatusCode :: Status sqsErrorCode :: ErrorCode sqsErrorType :: Text sqsErrorMessage :: Text sqsErrorDetail :: Maybe Text sqsErrorMetadata :: Maybe SqsMetadata
SqsXmlError |
Fields sqsXmlErrorMessage :: Text sqsXmlErrorMetadata :: Maybe SqsMetadata

Instances

Show SqsError # |
Methods showsPrec :: Int -> SqsError -> ShowS # show :: SqsError -> String # showList :: [SqsError] -> ShowS #
Exception SqsError # |
Methods toException :: SqsError -> SomeException # fromException :: SomeException -> Maybe SqsError # displayException :: SqsError -> String #

data SqsMetadata #

Constructors

SqsMetadata |
Fields sqsMAmzId2 :: Maybe Text sqsMRequestId :: Maybe Text

Instances

Show SqsMetadata # |
Methods showsPrec :: Int -> SqsMetadata -> ShowS # show :: SqsMetadata -> String # showList :: [SqsMetadata] -> ShowS #
Monoid SqsMetadata # |
Methods mempty :: SqsMetadata # mappend :: SqsMetadata -> SqsMetadata -> SqsMetadata # mconcat :: [SqsMetadata] -> SqsMetadata #
Loggable SqsMetadata # |
Methods toLogText :: SqsMetadata -> Text #

data SqsAuthorization #

Constructors

SqsAuthorizationHeader |
SqsAuthorizationQuery |

Instances

Show SqsAuthorization # |
Methods showsPrec :: Int -> SqsAuthorization -> ShowS # show :: SqsAuthorization -> String # showList :: [SqsAuthorization] -> ShowS #

data Endpoint #

Constructors

Endpoint |
Fields endpointHost :: ByteString endpointDefaultLocationConstraint :: LocationConstraint endpointAllowedLocationConstraints :: [LocationConstraint]

Instances

Show Endpoint # |
Methods showsPrec :: Int -> Endpoint -> ShowS # show :: Endpoint -> String # showList :: [Endpoint] -> ShowS #

data SqsConfiguration qt #

Constructors

SqsConfiguration |
Fields sqsProtocol :: Protocol sqsEndpoint :: Endpoint sqsPort :: Int sqsUseUri :: Bool sqsDefaultExpiry :: NominalDiffTime

Instances

Show (SqsConfiguration qt) # |
Methods showsPrec :: Int -> SqsConfiguration qt -> ShowS # show :: SqsConfiguration qt -> String # showList :: [SqsConfiguration qt] -> ShowS #
DefaultServiceConfiguration (SqsConfiguration UriOnlyQuery) # |
Methods defServiceConfig :: SqsConfiguration UriOnlyQuery # debugServiceConfig :: SqsConfiguration UriOnlyQuery #
DefaultServiceConfiguration (SqsConfiguration NormalQuery) # |
Methods defServiceConfig :: SqsConfiguration NormalQuery # debugServiceConfig :: SqsConfiguration NormalQuery #

sqsEndpointUsClassic :: Endpoint #

sqsEndpointUsWest :: Endpoint #

sqsEndpointUsWest2 :: Endpoint #

sqsEndpointEu :: Endpoint #

sqsEndpointApSouthEast :: Endpoint #

sqsEndpointApSouthEast2 :: Endpoint #

sqsEndpointApNorthEast :: Endpoint #

sqs :: Protocol -> Endpoint -> Bool -> SqsConfiguration qt #

data SqsQuery #

Constructors

SqsQuery |
Fields sqsQueueName :: Maybe QueueName sqsQuery :: Query

sqsSignQuery :: SqsQuery -> SqsConfiguration qt -> SignatureData -> SignedQuery #

sqsResponseConsumer :: HTTPResponseConsumer a -> IORef SqsMetadata -> HTTPResponseConsumer a #

sqsXmlResponseConsumer :: (Cursor -> Response SqsMetadata a) -> IORef SqsMetadata -> HTTPResponseConsumer a #

sqsErrorResponseConsumer :: HTTPResponseConsumer a #

data QueueName #

Constructors

QueueName |
Fields qName :: Text qAccountNumber :: Text

Instances

Eq QueueName # |
Methods (==) :: QueueName -> QueueName -> Bool # (/=) :: QueueName -> QueueName -> Bool #
Ord QueueName # |
Methods compare :: QueueName -> QueueName -> Ordering # (<) :: QueueName -> QueueName -> Bool # (<=) :: QueueName -> QueueName -> Bool # (>) :: QueueName -> QueueName -> Bool # (>=) :: QueueName -> QueueName -> Bool # max :: QueueName -> QueueName -> QueueName # min :: QueueName -> QueueName -> QueueName #
Read QueueName # |
Methods readsPrec :: Int -> ReadS QueueName # readList :: ReadS [QueueName] # readPrec :: ReadPrec QueueName # readListPrec :: ReadPrec [QueueName] #
Show QueueName # |
Methods showsPrec :: Int -> QueueName -> ShowS # show :: QueueName -> String # showList :: [QueueName] -> ShowS #

printQueueName :: QueueName -> Text #

data QueueAttribute #

Constructors

QueueAll |
ApproximateNumberOfMessages |
ApproximateNumberOfMessagesNotVisible |
VisibilityTimeout |
CreatedTimestamp |
LastModifiedTimestamp |
Policy |
MaximumMessageSize |
MessageRetentionPeriod |
QueueArn |

Instances

Enum QueueAttribute # |
Methods succ :: QueueAttribute -> QueueAttribute # pred :: QueueAttribute -> QueueAttribute # toEnum :: Int -> QueueAttribute # fromEnum :: QueueAttribute -> Int # enumFrom :: QueueAttribute -> [QueueAttribute] # enumFromThen :: QueueAttribute -> QueueAttribute -> [QueueAttribute] # enumFromTo :: QueueAttribute -> QueueAttribute -> [QueueAttribute] # enumFromThenTo :: QueueAttribute -> QueueAttribute -> QueueAttribute -> [QueueAttribute] #
Eq QueueAttribute # |
Methods (==) :: QueueAttribute -> QueueAttribute -> Bool # (/=) :: QueueAttribute -> QueueAttribute -> Bool #
Show QueueAttribute # |
Methods showsPrec :: Int -> QueueAttribute -> ShowS # show :: QueueAttribute -> String # showList :: [QueueAttribute] -> ShowS #

data MessageAttribute #

Constructors

MessageAll | all values
SenderId | the AWS account number (or the IP address, if anonymous access is allowed) of the sender
SentTimestamp | the time when the message was sent (epoch time in milliseconds)
ApproximateReceiveCount | the number of times a message has been received but not deleted
ApproximateFirstReceiveTimestamp | the time when the message was first received (epoch time in milliseconds)

Instances

Bounded MessageAttribute # |
Methods minBound :: MessageAttribute # maxBound :: MessageAttribute #
Enum MessageAttribute # |
Methods succ :: MessageAttribute -> MessageAttribute # pred :: MessageAttribute -> MessageAttribute # toEnum :: Int -> MessageAttribute # fromEnum :: MessageAttribute -> Int # enumFrom :: MessageAttribute -> [MessageAttribute] # enumFromThen :: MessageAttribute -> MessageAttribute -> [MessageAttribute] # enumFromTo :: MessageAttribute -> MessageAttribute -> [MessageAttribute] # enumFromThenTo :: MessageAttribute -> MessageAttribute -> MessageAttribute -> [MessageAttribute] #
Eq MessageAttribute # |
Methods (==) :: MessageAttribute -> MessageAttribute -> Bool # (/=) :: MessageAttribute -> MessageAttribute -> Bool #
Ord MessageAttribute # |
Methods compare :: MessageAttribute -> MessageAttribute -> Ordering # (<) :: MessageAttribute -> MessageAttribute -> Bool # (<=) :: MessageAttribute -> MessageAttribute -> Bool # (>) :: MessageAttribute -> MessageAttribute -> Bool # (>=) :: MessageAttribute -> MessageAttribute -> Bool # max :: MessageAttribute -> MessageAttribute -> MessageAttribute # min :: MessageAttribute -> MessageAttribute -> MessageAttribute #
Read MessageAttribute # |
Methods readsPrec :: Int -> ReadS MessageAttribute # readList :: ReadS [MessageAttribute] # readPrec :: ReadPrec MessageAttribute # readListPrec :: ReadPrec [MessageAttribute] #
Show MessageAttribute # |
Methods showsPrec :: Int -> MessageAttribute -> ShowS # show :: MessageAttribute -> String # showList :: [MessageAttribute] -> ShowS #

data SqsPermission #

Constructors

PermissionAll |
PermissionSendMessage |
PermissionReceiveMessage |
PermissionDeleteMessage |
PermissionChangeMessageVisibility |
PermissionGetQueueAttributes |

Instances

Enum SqsPermission # |
Methods succ :: SqsPermission -> SqsPermission # pred :: SqsPermission -> SqsPermission # toEnum :: Int -> SqsPermission # fromEnum :: SqsPermission -> Int # enumFrom :: SqsPermission -> [SqsPermission] # enumFromThen :: SqsPermission -> SqsPermission -> [SqsPermission] # enumFromTo :: SqsPermission -> SqsPermission -> [SqsPermission] # enumFromThenTo :: SqsPermission -> SqsPermission -> SqsPermission -> [SqsPermission] #
Eq SqsPermission # |
Methods (==) :: SqsPermission -> SqsPermission -> Bool # (/=) :: SqsPermission -> SqsPermission -> Bool #
Show SqsPermission # |
Methods showsPrec :: Int -> SqsPermission -> ShowS # show :: SqsPermission -> String # showList :: [SqsPermission] -> ShowS #

parseQueueAttribute :: MonadThrow m => Text -> m QueueAttribute #

printQueueAttribute :: QueueAttribute -> Text #

parseMessageAttribute :: MonadThrow m => Text -> m MessageAttribute #

printMessageAttribute :: MessageAttribute -> Text #

printPermission :: SqsPermission -> Text #

newtype ReceiptHandle #

Constructors

ReceiptHandle Text |

Instances

Eq ReceiptHandle # |
Methods (==) :: ReceiptHandle -> ReceiptHandle -> Bool # (/=) :: ReceiptHandle -> ReceiptHandle -> Bool #
Ord ReceiptHandle # |
Methods compare :: ReceiptHandle -> ReceiptHandle -> Ordering # (<) :: ReceiptHandle -> ReceiptHandle -> Bool # (<=) :: ReceiptHandle -> ReceiptHandle -> Bool # (>) :: ReceiptHandle -> ReceiptHandle -> Bool # (>=) :: ReceiptHandle -> ReceiptHandle -> Bool # max :: ReceiptHandle -> ReceiptHandle -> ReceiptHandle # min :: ReceiptHandle -> ReceiptHandle -> ReceiptHandle #
Read ReceiptHandle # |
Methods readsPrec :: Int -> ReadS ReceiptHandle # readList :: ReadS [ReceiptHandle] # readPrec :: ReadPrec ReceiptHandle # readListPrec :: ReadPrec [ReceiptHandle] #
Show ReceiptHandle # |
Methods showsPrec :: Int -> ReceiptHandle -> ShowS # show :: ReceiptHandle -> String # showList :: [ReceiptHandle] -> ShowS #

newtype MessageId #

Constructors

MessageId Text |

Instances

Eq MessageId # |
Methods (==) :: MessageId -> MessageId -> Bool # (/=) :: MessageId -> MessageId -> Bool #
Ord MessageId # |
Methods compare :: MessageId -> MessageId -> Ordering # (<) :: MessageId -> MessageId -> Bool # (<=) :: MessageId -> MessageId -> Bool # (>) :: MessageId -> MessageId -> Bool # (>=) :: MessageId -> MessageId -> Bool # max :: MessageId -> MessageId -> MessageId # min :: MessageId -> MessageId -> MessageId #
Read MessageId # |
Methods readsPrec :: Int -> ReadS MessageId # readList :: ReadS [MessageId] # readPrec :: ReadPrec MessageId # readListPrec :: ReadPrec [MessageId] #
Show MessageId # |
Methods showsPrec :: Int -> MessageId -> ShowS # show :: MessageId -> String # showList :: [MessageId] -> ShowS #

printReceiptHandle :: ReceiptHandle -> Text #